﻿using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Windows;
using DataSource;
using Infragistics.Controls.Grids;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void BtnFiltered_Click(object sender, RoutedEventArgs e)
        {
            ObservableCollection<Product> filteredInData = new ObservableCollection<Product>();
            foreach (Row r in xamGrid.Rows)
            {
                Product product = r.Data as Product;
                filteredInData.Add(product);
            }

            foreach (Product p in filteredInData)
            {
                Debug.WriteLine("Filtered product " + p.ProductName);
            }

            Debug.WriteLine("filteredInData.Count " + filteredInData.Count);
        }
    }
}
